package com.zswl.cloud.springBtach.server.boot;

import cn.hutool.json.JSONUtil;
import com.github.microservice.auth.client.content.ResultContent;
import com.github.microservice.auth.client.service.EnterpriseService;
import com.zhongshu.payment.client.model.payment.SubOrdersConfirmResponseModel;
import com.zhongshu.payment.client.service.v2.PaymentService2;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.XiaoJuApi;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.domain.AllowanceInfo;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.domain.CalBatchPriceItemInfo;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request.QueryApiStorePriceRequest;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request.QueryCalBatchPriceRequest;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request.QueryCalPriceRequest;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request.QueryNewOrderRequest;
import com.zswl.cloud.springBtach.server.core.api.ypp.YppApi;
import com.zswl.cloud.springBtach.server.core.controller.TestSpringBatch;
import com.zswl.cloud.springBtach.server.core.service.OrderServiceImp;
import lombok.extern.log4j.Log4j2;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.List;

@SpringBootTest
@Log4j2
public class ServerApplicationTests {
    @Autowired
    YppApi piaoPiaoApi;

    @Autowired
    TestSpringBatch testSpringBatch;

    @Autowired
    OrderServiceImp orderService;


    @Autowired
    EnterpriseService enterpriseService;

    @Autowired
    PaymentService2 paymentService2;

    @Autowired
    XiaoJuApi xiaoJuApi;

    @Test
    public void test1() {
        ResultContent<SubOrdersConfirmResponseModel> subOrdersConfirmResponseModelResultContent = paymentService2.subOrdersConfirm("66043b7f41096a5155e6c377", "65fe7c9174d67a7dbd842b74");
        System.out.println(subOrdersConfirmResponseModelResultContent);


////        JSONObject movies = piaoPiaoApi.movies("9", "0", "20");
////        System.out.println(movies);
//        System.out.println(piaoPiaoApi.movie_detail("194856"));
//
//        JSONObject citys = piaoPiaoApi.get_citys();
////
//        JSONUtil.toJsonStr(piaoPiaoApi.movies("103", "1", "40"));
////        System.out.println(citys);
//        System.out.println("dddddddddddddddddddddd");
    }

    @Test
    public void test2() {

        QueryNewOrderRequest queryNewOrderRequest = new QueryNewOrderRequest();
        queryNewOrderRequest.setOutUserId("a09kWkRLM2ZWcWs9");
        queryNewOrderRequest.setMobile("13111222233");
        queryNewOrderRequest.setOutOrderId("123456789");
        queryNewOrderRequest.setLat(114.30F);
        queryNewOrderRequest.setLon(14.23F);
        queryNewOrderRequest.setStoreId("5211967762877389105");
        queryNewOrderRequest.setItemId(4879454965524071453L);
        queryNewOrderRequest.setGunNo("10");
        queryNewOrderRequest.setOriginalAmount(20000);
        queryNewOrderRequest.setPaymentAmount(18000);
        queryNewOrderRequest.setServiceFee(20);
        queryNewOrderRequest.setLitre(382);
        queryNewOrderRequest.setVipPrice(460);
        queryNewOrderRequest.setStorePrice(523);

        // 优惠券
        List<AllowanceInfo> allowanceInfos = new ArrayList<>();
        AllowanceInfo allowanceInfo = new AllowanceInfo();
        allowanceInfo.setAllowanceId("E1-4ji-1kiJSL");
        allowanceInfo.setAllowanceType(2);
        allowanceInfos.add(allowanceInfo);

        queryNewOrderRequest.setPromotionInfo(allowanceInfos);
        Object dddddd = xiaoJuApi.queryNewOrder(queryNewOrderRequest);

        System.out.println(JSONUtil.toJsonStr(dddddd));

    }

    @Test
    public void test3() {

//        CreateOrderModel createOrderModel = new CreateOrderModel();
//        createOrderModel.setJobFlowMap(JobFlowMap.P81);
//        ResultContent creat = orderService.creat(createOrderModel);
//
//        log.info("执行结果：{}",JSONUtil.toJsonStr(creat));

    }
}
