/*     */ package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request;
/*     */ 
/*     */ import com.xiaoju.open.oil.commons.exception.ApiRuleException;
/*     */ import com.xiaoju.open.oil.commons.utils.ParamCheckUtils;
/*     */ import com.xiaoju.open.oil.interfaces.domain.ItemPriceInfoForCallback;
/*     */ import com.xiaoju.open.oil.interfaces.request.BaseOpenRequest;
import com.xiaoju.open.oil.interfaces.response.NotificationPushStoreInfoResponse;
/*     */ import java.util.List;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class NotificationPushStoreInfoRequest
/*     */   extends BaseOpenRequest<NotificationPushStoreInfoResponse>
/*     */ {
/*     */   private String storeId;
/*     */   private String storeName;
/*     */   private String address;
/*     */   private Float lat;
/*     */   private Float lon;
/*     */   private String cityName;
/*     */   private String brandId;
/*     */   private String provinceName;
/*     */   private String brandName;
/*     */   private String tel;
/*     */   private String openTimeHourStart;
/*     */   private String openTimeHourEnd;
/*     */   private String logo;
/*     */   private List<String> picList;
/*     */   private Integer status;
/*     */   private Integer invoiceManner;
/*     */   private List<String> marketTags;
/*     */   private List<ItemPriceInfoForCallback> itemInfoList;
/*     */   
/*     */   public String getStoreId() {
/* 109 */     return this.storeId;
/*     */   }
/*     */   
/*     */   public void setStoreId(String storeId) {
/* 113 */     this.storeId = storeId;
/*     */   }
/*     */   
/*     */   public String getStoreName() {
/* 117 */     return this.storeName;
/*     */   }
/*     */   
/*     */   public void setStoreName(String storeName) {
/* 121 */     this.storeName = storeName;
/*     */   }
/*     */   
/*     */   public String getAddress() {
/* 125 */     return this.address;
/*     */   }
/*     */   
/*     */   public void setAddress(String address) {
/* 129 */     this.address = address;
/*     */   }
/*     */   
/*     */   public Float getLat() {
/* 133 */     return this.lat;
/*     */   }
/*     */   
/*     */   public void setLat(Float lat) {
/* 137 */     this.lat = lat;
/*     */   }
/*     */   
/*     */   public Float getLon() {
/* 141 */     return this.lon;
/*     */   }
/*     */   
/*     */   public void setLon(Float lon) {
/* 145 */     this.lon = lon;
/*     */   }
/*     */   
/*     */   public String getCityName() {
/* 149 */     return this.cityName;
/*     */   }
/*     */   
/*     */   public void setCityName(String cityName) {
/* 153 */     this.cityName = cityName;
/*     */   }
/*     */   
/*     */   public String getBrandId() {
/* 157 */     return this.brandId;
/*     */   }
/*     */   
/*     */   public void setBrandId(String brandId) {
/* 161 */     this.brandId = brandId;
/*     */   }
/*     */   
/*     */   public String getProvinceName() {
/* 165 */     return this.provinceName;
/*     */   }
/*     */   
/*     */   public void setProvinceName(String provinceName) {
/* 169 */     this.provinceName = provinceName;
/*     */   }
/*     */   
/*     */   public String getBrandName() {
/* 173 */     return this.brandName;
/*     */   }
/*     */   
/*     */   public void setBrandName(String brandName) {
/* 177 */     this.brandName = brandName;
/*     */   }
/*     */   
/*     */   public String getTel() {
/* 181 */     return this.tel;
/*     */   }
/*     */   
/*     */   public void setTel(String tel) {
/* 185 */     this.tel = tel;
/*     */   }
/*     */   
/*     */   public String getOpenTimeHourStart() {
/* 189 */     return this.openTimeHourStart;
/*     */   }
/*     */   
/*     */   public void setOpenTimeHourStart(String openTimeHourStart) {
/* 193 */     this.openTimeHourStart = openTimeHourStart;
/*     */   }
/*     */   
/*     */   public String getOpenTimeHourEnd() {
/* 197 */     return this.openTimeHourEnd;
/*     */   }
/*     */   
/*     */   public void setOpenTimeHourEnd(String openTimeHourEnd) {
/* 201 */     this.openTimeHourEnd = openTimeHourEnd;
/*     */   }
/*     */   
/*     */   public String getLogo() {
/* 205 */     return this.logo;
/*     */   }
/*     */   
/*     */   public void setLogo(String logo) {
/* 209 */     this.logo = logo;
/*     */   }
/*     */   
/*     */   public List<String> getPicList() {
/* 213 */     return this.picList;
/*     */   }
/*     */   
/*     */   public void setPicList(List<String> picList) {
/* 217 */     this.picList = picList;
/*     */   }
/*     */   
/*     */   public Integer getStatus() {
/* 221 */     return this.status;
/*     */   }
/*     */   
/*     */   public void setStatus(Integer status) {
/* 225 */     this.status = status;
/*     */   }
/*     */   
/*     */   public Integer getInvoiceManner() {
/* 229 */     return this.invoiceManner;
/*     */   }
/*     */   
/*     */   public void setInvoiceManner(Integer invoiceManner) {
/* 233 */     this.invoiceManner = invoiceManner;
/*     */   }
/*     */   
/*     */   public List<String> getMarketTags() {
/* 237 */     return this.marketTags;
/*     */   }
/*     */   
/*     */   public void setMarketTags(List<String> marketTags) {
/* 241 */     this.marketTags = marketTags;
/*     */   }
/*     */   
/*     */   public List<ItemPriceInfoForCallback> getItemInfoList() {
/* 245 */     return this.itemInfoList;
/*     */   }
/*     */   
/*     */   public void setItemInfoList(List<ItemPriceInfoForCallback> itemInfoList) {
/* 249 */     this.itemInfoList = itemInfoList;
/*     */   }
/*     */ 
/*     */   
/*     */   public String getApiMethodName() {
/* 254 */     return "/receivingGasStation";
/*     */   }
/*     */ 
/*     */   
/*     */   public void check() throws ApiRuleException {
/* 259 */     ParamCheckUtils.checkNotEmpty(this.storeId, "storeId");
/* 260 */     ParamCheckUtils.checkNotEmpty(this.storeName, "storeName");
/* 261 */     ParamCheckUtils.checkNotEmpty(this.lat, "lat");
/* 262 */     ParamCheckUtils.checkNotEmpty(this.lon, "lon");
/* 263 */     ParamCheckUtils.checkNotEmpty(this.status, "status");
/* 264 */     ParamCheckUtils.checkNotEmpty(this.openTimeHourStart, "openTimeHourStart");
/* 265 */     ParamCheckUtils.checkNotEmpty(this.openTimeHourEnd, "openTimeHourEnd");
/* 266 */     ParamCheckUtils.checkCollectNotEmpty(this.itemInfoList, "itemInfoList");
/*     */   }
/*     */ }


/* Location:              E:\chendu\MicroService\application\SpringBatchService\SpringBatchServiceServer\src\main\resources\lib\oil-sdk-jar-1.0.16.jar!\com\xiaoju\open\oil\interfaces\request\NotificationPushStoreInfoRequest.class
 * Java compiler version: 8 (52.0)
 * JD-Core Version:       1.1.3
 */